Package com.enonic.xp.image

## Class ReadImageParams

- java.lang.Object
- - com.enonic.xp.image.ReadImageParams

-     public class ReadImageParams
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ReadImageParams.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadImageParams​(ReadImageParams.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getBackgroundColor()` |
    `BinaryReference` | `getBinaryReference()` |
    `ContentId` | `getContentId()` |
    `Cropping` | `getCropping()` |
    `String` | `getFilterParam()` |
    `FocalPoint` | `getFocalPoint()` |
    `String` | `getFormat()` | Deprecated.
    `String` | `getMimeType()` |
    `ImageOrientation` | `getOrientation()` |
    `int` | `getQuality()` |
    `ScaleParams` | `getScaleParams()` |
    `int` | `getScaleSize()` |
    `boolean` | `isScaleSquare()` |
    `boolean` | `isScaleWidth()` |
    `static ReadImageParams.Builder` | `newImageParams()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadImageParams

          public ReadImageParams​(ReadImageParams.Builder builder)

  - ### Method Detail

    - #### getContentId

          public ContentId getContentId()

    - #### getBinaryReference

          public BinaryReference getBinaryReference()

    - #### getCropping

          public Cropping getCropping()

    - #### getScaleParams

          public ScaleParams getScaleParams()

    - #### getFocalPoint

          public FocalPoint getFocalPoint()

    - #### getScaleSize

          public int getScaleSize()

    - #### isScaleSquare

          public boolean isScaleSquare()

    - #### isScaleWidth

          public boolean isScaleWidth()

    - #### getFilterParam

          public String getFilterParam()

    - #### getBackgroundColor

          public int getBackgroundColor()

    - #### getMimeType

          public String getMimeType()

    - #### getFormat

          @Deprecated
          public String getFormat()

      Deprecated.

    - #### getQuality

          public int getQuality()

    - #### getOrientation

          public ImageOrientation getOrientation()

    - #### newImageParams

          public static ReadImageParams.Builder newImageParams()